Subject: Re: bug#10367: 23.3.50; M-j in js-mode

From: Stefan Kangas <[email-masked]>
Date: Wed, 25 Nov 2020 02:24:48 -0800

Daniel Colascione <[email-masked]> writes:

> On 12/25/11 7:25 PM, Leo wrote:
>> It seems M-j js-mode is better bound to a command that does something
>> similar to C-mode or the global binding.
>
> Any objection to binding M-j to c-indent-new-comment-line in js-mode?
>
> (Yes, yes, I know we should fix indent-new-comment-line to do what
> c-indent-new-comment-line does, but I specifically designed js-mode to be
> compatible with cc-mode editing functions, and this change will work for now.)

There has been no objections within 9 years.  But I don't use js-mode,
so I don't know what the best behavior here is.  Does it make more sense
for js-mode users?  If so, it seems like you should perhaps just go
ahead and make that change?